Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.ejbjar31
Interface ApplicationExceptionType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ApplicationExceptionTypeImpl

    public interface ApplicationExceptionType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `application-exceptionType` xsd type

Original Documentation:

The application-exceptionType declares an application
exception. The declaration consists of:
- the exception class. When the container receives
an exception of this type, it is required to
forward this exception as an applcation exception
to the client regardless of whether it is a checked
or unchecked exception.
- an optional rollback element. If this element is
set to true, the container must rollback the current
transaction before forwarding the exception to the
client. If not specified, it defaults to false.
- an optional inherited element. If this element is
set to true, subclasses of the exception class type
are also automatically considered application
exceptions (unless overriden at a lower level).
If set to false, only the exception class type is
considered an application-exception, not its
exception subclasses. If not specified, this
value defaults to true.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getExceptionClass()` Returns the `exception-class` element
`java.lang.Boolean` | `isInherited()` Returns the `inherited` element
`java.lang.Boolean` | `isRollback()` Returns the `rollback` element
`ApplicationExceptionType<T>` | `removeExceptionClass()` Removes the `exception-class` element
`ApplicationExceptionType<T>` | `removeInherited()` Removes the `inherited` element
`ApplicationExceptionType<T>` | `removeRollback()` Removes the `rollback` element
`ApplicationExceptionType<T>` | `setExceptionClass(java.lang.String exceptionClass)` If not already created, a new `exception-class` element with the given value will be created.
`ApplicationExceptionType<T>` | `setInherited(java.lang.Boolean inherited)` If not already created, a new `inherited` element with the given value will be created.
`ApplicationExceptionType<T>` | `setRollback(java.lang.Boolean rollback)` If not already created, a new `rollback` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setExceptionClass

    ApplicationExceptionType<T> setExceptionClass(java.lang.String exceptionClass)

  If not already created, a new `exception-class` element with the given value will be created. Otherwise, the existing `exception-class` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationExceptionType`

### removeExceptionClass

    ApplicationExceptionType<T> removeExceptionClass()

  Removes the `exception-class` element

  Returns:
    the current instance of `ApplicationExceptionType`

### getExceptionClass

    java.lang.String getExceptionClass()

  Returns the `exception-class` element

  Returns:
    the node defined for the element `exception-class`

### setRollback

    ApplicationExceptionType<T> setRollback(java.lang.Boolean rollback)

  If not already created, a new `rollback` element with the given value will be created. Otherwise, the existing `rollback` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationExceptionType`

### removeRollback

    ApplicationExceptionType<T> removeRollback()

  Removes the `rollback` element

  Returns:
    the current instance of `ApplicationExceptionType`

### isRollback

    java.lang.Boolean isRollback()

  Returns the `rollback` element

  Returns:
    the node defined for the element `rollback`

### setInherited

    ApplicationExceptionType<T> setInherited(java.lang.Boolean inherited)

  If not already created, a new `inherited` element with the given value will be created. Otherwise, the existing `inherited` element will be updated with the given value.

  Returns:
    the current instance of `ApplicationExceptionType`

### removeInherited

    ApplicationExceptionType<T> removeInherited()

  Removes the `inherited` element

  Returns:
    the current instance of `ApplicationExceptionType`

### isInherited

    java.lang.Boolean isInherited()

  Returns the `inherited` element

  Returns:
    the node defined for the element `inherited`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD